---
title: 'Location: reload()'
slug: Web/API/Location/reload
tags:
  - API
  - HTML DOM
  - Location
  - Method
  - Reference
---
<div>{{ APIRef("HTML DOM") }}</div>

<p><span class="seoSummary">The <code><strong>Location.reload()</strong></code> method reloads the current URL, like the Refresh button.</span></p>

<p>The reload may be blocked and a <code>SECURITY_ERROR</code> {{domxref("DOMException")}} thrown. This happens if the {{Glossary("origin")}} of the script calling <code>location.reload()</code> differs from the origin of the page that owns the {{domxref("Location")}} object. See <a href="/en-US/docs/Web/Security/Same-origin_policy">Same-origin policy</a> for more information.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>location</em>.reload();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', "history.html#dom-location-reload", "Location.reload()")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change from {{SpecName("HTML5 W3C")}}.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "browsers.html#dom-location-reload", "Location.reload()")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Location.reload")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Location")}} interface it belongs to.</li>
 <li>Similar methods: {{domxref("Location.assign()")}} and {{domxref("Location.replace()")}}.</li>
</ul>
